unit Principal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, WideStrings, DBXInterbase, FMTBcd, StdCtrls, Buttons, ComCtrls,
  Grids, DBGrids, DB, DBClient, Provider, SqlExpr, Mask, DBCtrls,IniFiles;

type
  TForm1 = class(TForm)
    SQL: TSQLConnection;
    SQLQuery1: TSQLQuery;
    DataSetProvider1: TDataSetProvider;
    ClientDataSet1: TClientDataSet;
    SQLQuery1ID_PAGAMENTOS: TIntegerField;
    SQLQuery1ID_CLIENTE: TIntegerField;
    SQLQuery1DATA: TDateField;
    SQLQuery1VALOR: TFMTBCDField;
    SQLQuery1NOME: TStringField;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    TabControl1: TTabControl;
    BitBtn1: TBitBtn;
    Edit1: TEdit;
    ClientDataSet1ID_PAGAMENTOS: TIntegerField;
    ClientDataSet1ID_CLIENTE: TIntegerField;
    ClientDataSet1DATA: TDateField;
    ClientDataSet1VALOR: TFMTBCDField;
    ClientDataSet1NOME: TStringField;
    Edit2: TEdit;
    ClientDataSet1Total: TAggregateField;
    Label1: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure DataSource1DataChange(Sender: TObject; Field: TField);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation


{$R *.dfm}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
with ClientDataSet1 do
 begin
   close;
   Params[0].AsString := '%'+Edit1.Text+'%';
   open;
 end;

end;

procedure TForm1.DataSource1DataChange(Sender: TObject; Field: TField);
begin
 Edit2.Text := ClientDataSet1Total.Text;
end;

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
 if key = #13 then
  BitBtn1.Click;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
   L,H:string;
   ler:TIniFile;
begin
try
   //Caso o INI  exista
   if FileExists(''+ExtractFilePath(Application.ExeName)+'Mikropoint.INI') then
   begin
   //Lr o arquivo INI
   ler := TIniFile.Create(''+ExtractFilePath(Application.ExeName)+'Mikropoint.INI');
   H := ler.ReadString('Configuracao','Host','');
   L := ler.ReadString('Configuracao','local','');
   //Seta os valores para o SQL
   with SQL do
   begin
   close;
   ConnectionName := 'INTERBASE';
   DriverName := 'Interbase';
   GetDriverFunc := 'getSQLDriverINTERBASE';
   LibraryName := 'dbxint.dll';
   //Seta os valores para os parametros do SQL
   Params.Clear;
   Params.Add('DriverName=Interbase');
   Params.Add('Database='+H+':'+L+'');
   Params.Add('RoleName=RoleName');
   Params.Add('User_Name='+ler.ReadString('Configuracao','Usuario','')+'');
   Params.Add('Password='+ler.ReadString('Configuracao','Senha','')+'');
   Params.Add('ServerCharSet=WIN1252');
   Params.Add('SQLDialect=3');
   LoginPrompt := false;
   VendorLib := 'fbclient.dll';
   Connected:=TRUE;
   ler.Free;
   open;
   //Ativa as querys
   SQLQuery1.Open;
   end;
   end;

except
Application.MessageBox('O Mikropoint no foi iniciado corretamente'+#13#10+'A configurao do arquivo ini no foi satisfatria','Erro ao Iniciar',MB_ICONERROR);
end;

end;

end.
